Bug 1286702 - [RFE] Ability to attach bootdisk to VM for provisioning without DHCP/TFTP
[RFE] Ability to attach bootdisk to VM for provisioning without DHCP/TFTP
Status: CLOSED DUPLICATE of bug 1019214
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources (Show other bugs)
6.1.4
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: FutureFeature, Triaged
Depends On:
Blocks: 260381
  Show dependency treegraph
 
Reported: 2015-11-30 09:30 EST by Harald Jensås
Modified: 2017-04-25 12:16 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-04 07:48:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Jensås 2015-11-30 09:30:04 EST
Description of problem:

[RFE]

In environments without a DHCP server it is possible to provision systems using the iPXE bootdisk or the 'full' bootdisk image. It would be great if Satellite 6 could to this automatically in environments without DHCP/TFTP capabilities.
Comment 1 Bryan Kearney 2015-12-17 11:58:00 EST
Would the recently added PXELess discovery help here:

https://access.redhat.com/blogs/1169563/posts/2090011
Comment 2 Harald Jensås 2015-12-21 05:18:37 EST
The existing foreman bootdisk functionality, with or without the PXELess discovery already covers the requirements to be able to bootstrap and provision a host in an environment without DHCP/TFTP available.

Currently Satellite can create virtual machines, it will configure the vm to boot via the network card. In an environment with DHCP/TFTP available, this fully automates the create+provision vm process.


What we are asking, is that Satellite could:
1. Create the VM.
2. Make the foreman bootdisk ISO image availabe to the VM
 e.g Upload iso image to: RHEV ISO_Domain/VMWare Datastore etc.
3. Connect the ISO to the VM.
4. Configure the VM to boot from cdrom.
5. Start the VM, and it will provision using the foreman bootdisk.

This would enable fully automated provisioning of the vm, in an environments without DHCP/TFTP available.


** It is the manual steps to connect the foreman bootdisk ISO to the guest we want to eliminate.


*** Ideally this would be implemented with the ability to add custom plug-ins. To enable customers the ability to add support to do the same functionality for baremetal servers using BMC virtual-media functionality on out-of-band management solutions like Dell's iDRAC, HP's iLO etc.

Note You need to log in before you can comment on or make changes to this bug.